package com.bleujin.spam.test;

import junit.framework.TestCase;

import com.bleujin.spam.BlockSpamer;
import com.bleujin.spam.filter.EmptyContentFilter;
import com.bleujin.spam.judgment.Judgment;
import com.bleujin.spam.judgment.OverZeroStretegy;

public class TestScenario extends TestCase{
	
	private ContentTest content = new ContentTest("title", "text") ;

	public void testFirst() throws Exception {
		Judgment judger = new OverZeroStretegy() ;
		judger.addFilter(new DuplContentFilter()) ;

		BlockSpamer bs = new BlockSpamer(judger) ;
		
		ContentTest dupl = new ContentTest("title", "text") ;

		assertEquals(false, bs.isSpam(content)) ;
		assertEquals(true, bs.isSpam(dupl)) ;
	}
	
	public void testEmpty() throws Exception {
		Judgment judger = new OverZeroStretegy() ;
		judger.addFilter(new EmptyContentFilter(-5, 0)) ;

		BlockSpamer bs = new BlockSpamer(judger) ;

		ContentTest empty = new ContentTest("another title", "") ;

		assertEquals(false, bs.isSpam(content)) ;
		assertEquals(true, bs.isSpam(empty)) ;
		
	}
	
	public void testComposite() throws Exception {
		Judgment judger = new OverZeroStretegy() ;
		judger.addFilter(new DuplContentFilter()) ;
		judger.addFilter(new EmptyContentFilter(-5, 0)) ;

		BlockSpamer bs = new BlockSpamer(judger) ;

		ContentTest empty = new ContentTest("another title", "") ;

		assertEquals(false, bs.isSpam(content)) ;
		assertEquals(true, bs.isSpam(empty)) ;
		
	}

}
